Bug 533274 - early boot message: MP-BIOS bug: 8254 timer not connected to IO-APIC
early boot message: MP-BIOS bug: 8254 timer not connected to IO-APIC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 15:45 EST by David Campbell
Modified: 2013-01-30 12:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full dmesg content (49.77 KB, text/plain)
2009-11-05 15:45 EST, David Campbell
no flags Details
Proposal for fix. (68 bytes, text/plain)
2010-07-01 13:04 EDT, John Dulaney
no flags Details

  None (edit)
Description David Campbell 2009-11-05 15:45:12 EST
Created attachment 367703 [details]
full dmesg content

Description of problem:

In the early booting process, this message appears on the boot console:

MP-BIOS bug: 8254 timer not connected to IO-APIC

Version-Release number of selected component (if applicable):

Fedora 12 Beta and all versions back to at least F7

How reproducible:

Always

Steps to Reproduce:
1.  Boot F12 beta live CD on Clevo D870P
  
Actual results:

See message on console:  MP-BIOS bug: 8254 timer not connected to IO-APIC

dmesg reports:

..TIMER: vector=0x30 apic1=0 pin1=0 apic2=-1 pin2=-1
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found apic 0 pin 0) ...


Expected results:

Clean boot

Additional info:

Bug 175784 seems the same issue applied to RHEL
Comment 1 Bug Zapper 2009-11-16 10:10:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 gleb 2010-04-04 14:13:09 EDT
Fedora 12 (not beta). installed from Live CD.
motherboard: ASUS M2N

have the same problem : mp-bios bug 8254 timer not connected to io-apic

tried fix by 
1. add in grub: enable_8254_timer lapic_timer_c2_ok clocksource=hpet noapic
2. and try to disable ACPI APIC support in bios

but still have this problem. I can't work...
Comment 3 Brian Wright 2010-04-29 22:40:35 EDT
Fedora 12 installed from a DVD
System: HP Pavilion 511w

After using the system and receiving critical updates, when the system is rebooted the error "MP-BIOs bug: 8254 timer not connected to IO-APIC" occurs. Then the message "ACPI: Invalid PBLK Length [5]" displays.

Sometimes after several reboots where the system is completely powered off, the system will boot successfuly. However, with every reboot the "ACPI: Invalid PBLK Length [5]" displays.
Comment 4 Brian Wright 2010-04-30 00:43:55 EDT
(In reply to comment #3)
> Fedora 12 installed from a DVD
> System: HP Pavilion 511w
> After using the system and receiving ...

I have also noticed that the hard disk contained corruption. Unfortunately it was one of the primary files for starting the GUI that I had to reinstall from scratch.
Comment 5 John Dulaney 2010-07-01 13:04:48 EDT
Created attachment 428497 [details]
Proposal for fix.

I may try to find the maintainer for Grub and email this proposal directly to him/her.
Comment 6 Bug Zapper 2010-11-04 02:46:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 22:29:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.